//
// Main.c in the testLED program.  This program waits for a button to be pressed
// on the Cerebellum board (PIC16F877) and then starts blinking some LEDs.
// 
// Author: Maurice Ribble
// Date: 12-10-2005
//

#include "cereb104.h"

void main()
{
    unsigned int toggle = 0;

    // Initialize Cerebellum routines
    cereb_init(0);

    // Wait for button A
    waitforbutton(BTN_A);

    // Toggle yellow and green LEDs on and off every 0.25 seconds
    while(1)
    {

        toggle = !toggle;

        if(toggle)
        {
            LEDon(GREEN);
            LEDoff(YELLOW);
        }
        else
        {
            LEDoff(GREEN);
            LEDon(YELLOW);
        }
        delay_ms(250);
    }
}

